# Package io.netty.handler.proxy

Adds support for client connections via proxy protocols such as SOCKS and HTTP CONNECT tunneling

See: Description

Class Summary
HttpProxyHandler
ProxyConnectionEvent
ProxyHandler
Socks4ProxyHandler
Socks5ProxyHandler

Exception Summary
HttpProxyHandler.HttpProxyConnectException: Specific case of a connection failure, which may include headers from the proxy.
ProxyConnectException

## Package io.netty.handler.proxy Description

Adds support for client connections via proxy protocols such as SOCKS and HTTP CONNECT tunneling